<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 1</H1>

<P>Numero du papier: 1
<P>Titre du papier: Construction incrémentielle distribuée de programme déclaratifs.
<P>Auteurs: Olivier Michel

<P>Nom du rapporteur: Luc Maranget

<P>Confiance en la note: 2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 3+
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>
Il s'agit de la présentation d'un modèle (opérationnel) du calcul
distribué, capable d'exprimer les concepts d'applets et de RPC, ainsi
qu'une construction nouvelle qui mélange reduction locale et distante
avec un certain contrôle.


Par rapport à ma culture reposant sur les calculs de processus, cet
article m'a surpris et j'ai appris quelque chose (ce qui est une
incitation à un jugement favorable).
Réflexion faite je pense que le modèle présenté (amalgames) n'est pas
le plus satisfaisant possible.
En effet, il rend bien compte de certains phénomènes plutôt du domaine
de l'édition de liens et de la résolution de nom (distants) en
général. (Toutefois je prefère les modèles des ambients ou du
join-calcul, mais je reconnais que ce  modèle est une proposition
autre).



Mais les amalgames me semblent innadaptés à la modélisation des
calculs locaux eux-mêmes, où l'on dispose d'autres modèles (genre
lambda-calcul ou TRS).  En particulier, (mais je peux me tromper), il
me semble que le modèle s'engage sur la pente savoneuse le la liaison
dynamique, nécessaire pour la migration de code. mais certainement
nuisible dans le cas des variables locales ou arguments de fonctions.


Ces reserves faites, il s'agit d'un papier informatif et clair, dont
je recommande la publication.


<P>Commentaires reserves au comite de programme:<P>

</BODY>
</HTML>

